Module java.base
Package java.net

# Class SocketTimeoutException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.io.InterruptedIOException
java.net.SocketTimeoutException

All Implemented Interfaces:
  `Serializable`

public class SocketTimeoutException extends InterruptedIOException
Signals that a timeout has occurred on a socket read or accept.

Since:
  1.4
See Also:
  - Serialized Form

## Field Summary

### Fields declared in class java.io.InterruptedIOException

`bytesTransferred`

## Constructor Summary

Constructors
Constructor
Description
`SocketTimeoutException()`
Construct a new SocketTimeoutException with no detailed message.
`SocketTimeoutException(String msg)`
Constructs a new SocketTimeoutException with a detail message.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SocketTimeoutException

public SocketTimeoutException(String msg)
Constructs a new SocketTimeoutException with a detail message.

Parameters:
  `msg` - the detail message

### SocketTimeoutException

public SocketTimeoutException()
Construct a new SocketTimeoutException with no detailed message.